// file: $isip/class/pr/ProductionRuleTokenType/prtt_00.cc
// version: $Id: prtt_05.cc 10419 2006-02-03 21:51:48Z slee $

// ISIP include files
//
#include "ProductionRuleTokenType.h"

bool ProductionRuleTokenType::setType(const String& type_a) {
  if (type_a.eq(KLEENE_STAR)) {
    type_d=KLEENE_STAR;
  }
  else if (type_a.eq(KLEENE_PLUS)) {
    type_d=KLEENE_PLUS;
  }
  else if (type_a.eq(ALTERNATION)) {
    type_d=ALTERNATION;
  }
  else if (type_a.eq(OPEN_PAREN)) {
    type_d=OPEN_PAREN;
  }
  else if (type_a.eq(CLOSE_PAREN)) {
    type_d=CLOSE_PAREN;
  }
  else if (type_a.eq(TERMINAL)) {
    type_d=TERMINAL;
  }
  else if (type_a.eq(NON_TERMINAL)) {
    type_d=NON_TERMINAL;
  }
  else if (type_a.eq(CONCATENATION)) {
    type_d=CONCATENATION;
  }
  else if (type_a.eq(OPEN_BRACE)) {
    type_d=OPEN_BRACE;
  }
  else if (type_a.eq(CLOSE_BRACE)) {
    type_d=CLOSE_BRACE;
  }
  else if (type_a.eq(NONE)) {
    type_d=NONE;
  }
  else if (type_a.eq(EPSILON)) {
    type_d=EPSILON;
  }

  return true;
}
